diff -Naur mod_fastcgi-2.4.6.orig/fcgi_config.c mod_fastcgi-2.4.6/fcgi_config.c
--- mod_fastcgi-2.4.6.orig/fcgi_config.c	2013-12-17 18:19:37.114412260 +0100
+++ mod_fastcgi-2.4.6/fcgi_config.c	2013-12-17 18:02:29.494464443 +0100
@@ -667,7 +667,7 @@
     if (mutex == NULL)
     {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: CreateMutex() failed");
+            "CreateMutex() failed");
         return "failed to create FastCGI application accept mutex";
     }
     
@@ -779,7 +779,7 @@
     }
     else if (s->user || s->group)
     {
-        ap_log_error(FCGI_LOG_WARN, cmd->server, "FastCGI: there is no "
+        ap_log_error(FCGI_LOG_WARN, cmd->server, "There is no "
                      "fastcgi wrapper set, user/group options are ignored");
     }
 
@@ -972,7 +972,7 @@
     }
     else if (s->user || s->group)
     {
-        ap_log_error(FCGI_LOG_WARN, cmd->server, "FastCGI: there is no "
+        ap_log_error(FCGI_LOG_WARN, cmd->server, "There is no "
                      "fastcgi wrapper set, user/group options are ignored");
     }
 
diff -Naur mod_fastcgi-2.4.6.orig/fcgi.h mod_fastcgi-2.4.6/fcgi.h
--- mod_fastcgi-2.4.6.orig/fcgi.h	2013-12-17 18:19:37.114412260 +0100
+++ mod_fastcgi-2.4.6/fcgi.h	2013-12-17 18:17:59.737479228 +0100
@@ -632,7 +632,11 @@
 extern int dynamicFlush;
 
 
+#ifdef APACHE2
+APLOG_USE_MODULE(fastcgi);
+#else
 extern module MODULE_VAR_EXPORT fastcgi_module;
+#endif
 
 #endif  /* FCGI_H */
 
diff -Naur mod_fastcgi-2.4.6.orig/fcgi_pm.c mod_fastcgi-2.4.6/fcgi_pm.c
--- mod_fastcgi-2.4.6.orig/fcgi_pm.c	2013-12-17 18:19:37.116412250 +0100
+++ mod_fastcgi-2.4.6/fcgi_pm.c	2013-12-17 18:09:47.832989305 +0100
@@ -49,7 +49,7 @@
     int rc = seteuid(getuid());
     if (rc) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: seteuid(0) failed");
+            "seteuid(0) failed");
     }
     return rc;
 }
@@ -59,7 +59,7 @@
     int rc = seteuid(ap_user_id);
     if (rc) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: seteuid(%u) failed", (unsigned)ap_user_id);
+            "seteuid(%u) failed", (unsigned)ap_user_id);
     }
     return rc;
 }
@@ -163,7 +163,7 @@
     	            /* Remove the socket file */
     	            if (unlink(s->socket_path) != 0 && errno != ENOENT) {
     	                ap_log_error(FCGI_LOG_ERR, fcgi_apache_main_server,
-    	                    "FastCGI: unlink() failed to remove socket file \"%s\" for%s server \"%s\"",
+    	                    "unlink() failed to remove socket file \"%s\" for%s server \"%s\"",
     	                    s->socket_path,
     	                    (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "", s->fs_path);
     	            }
@@ -224,7 +224,7 @@
         errno = WSAGetLastError();  /* Not sure if this will work as expected */
 #endif
         ap_log_error(FCGI_LOG_CRIT_ERRNO, fcgi_apache_main_server,
-            "FastCGI: can't create %sserver \"%s\": socket() failed", 
+            "Can't create %sserver \"%s\": socket() failed", 
             (fs->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
             fs->fs_path);
         return -1;
@@ -255,7 +255,7 @@
             ((struct sockaddr_in *)fs->socket_addr)->sin_port);
 
         ap_log_error(FCGI_LOG_CRIT_ERRNO, fcgi_apache_main_server,
-            "FastCGI: can't create %sserver \"%s\": bind() failed [%s]", 
+            "Can't create %sserver \"%s\": bind() failed [%s]", 
             (fs->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
             fs->fs_path,
 #ifndef WIN32
@@ -271,7 +271,7 @@
         && chmod(((struct sockaddr_un *)fs->socket_addr)->sun_path, S_IRUSR | S_IWUSR))
     {
         ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-            "FastCGI: can't create %sserver \"%s\": chmod() of socket failed", 
+            "Can't create %sserver \"%s\": chmod() of socket failed", 
             (fs->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
             fs->fs_path);
     }
@@ -284,7 +284,7 @@
         errno = WSAGetLastError();
 #endif
         ap_log_error(FCGI_LOG_CRIT_ERRNO, fcgi_apache_main_server,
-            "FastCGI: can't create %sserver \"%s\": listen() failed", 
+            "Can't create %sserver \"%s\": listen() failed", 
             (fs->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
             fs->fs_path);
     }
@@ -505,7 +505,7 @@
     if (cgi_build_command == NULL) 
     {
         ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-            "FastCGI: can't exec server \"%s\", mod_cgi isn't loaded", 
+            "Can't exec server \"%s\", mod_cgi isn't loaded", 
             fs->fs_path);
         return 0;
     }
@@ -543,7 +543,7 @@
         if (listen_handle == INVALID_HANDLE_VALUE) 
         {
             ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                "FastCGI: can't exec server \"%s\", CreateNamedPipe() failed", 
+                "Can't exec server \"%s\", CreateNamedPipe() failed", 
                 fs->fs_path);
             goto CLEANUP;
         }
@@ -565,7 +565,7 @@
     if (rv != APR_SUCCESS) 
     {
         ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-            "FastCGI: don't know how to spawn cmd child process: %s", 
+            "Don't know how to spawn cmd child process: %s", 
             fs->fs_path);
         goto CLEANUP;
     }
@@ -643,7 +643,7 @@
     if (process->terminationEvent == NULL)
     {
         ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-            "FastCGI: can't create termination event for server \"%s\", "
+            "Can't create termination event for server \"%s\", "
             "CreateEvent() failed", fs->fs_path);
         goto CLEANUP;
     }
@@ -668,7 +668,7 @@
         if (listen_handle == INVALID_HANDLE_VALUE) 
         {
             ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                "FastCGI: can't exec server \"%s\", CreateNamedPipe() failed", fs->fs_path);
+                "Can't exec server \"%s\", CreateNamedPipe() failed", fs->fs_path);
             goto CLEANUP;
         }
     }
@@ -691,7 +691,7 @@
 
     if (fileType == eFileTypeUNKNOWN) {
         ap_log_error(FCGI_LOG_ERR_NOERRNO, fcgi_apache_main_server,
-            "FastCGI: %s is not executable; ensure interpreted scripts have "
+            "%s is not executable; ensure interpreted scripts have "
             "\"#!\" as their first line", 
             fs->fs_path);
         ap_destroy_pool(tp);
@@ -803,7 +803,7 @@
 
         if (ent == NULL) {
             ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-                "FastCGI: process manager exiting, getpwuid(%u) couldn't determine user name, "
+                "Process manager exiting, getpwuid(%u) couldn't determine user name, "
                 "you probably need to modify the User directive", (unsigned)uid);
             exit(1);
         }
@@ -815,7 +815,7 @@
     /* Change Group */
     if (setgid(ap_group_id) == -1) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: process manager exiting, setgid(%u) failed", (unsigned)ap_group_id);
+            "Process manager exiting, setgid(%u) failed", (unsigned)ap_group_id);
         exit(1);
     }
 
@@ -824,7 +824,7 @@
     /* Initialize supplementary groups */
     if (initgroups(name, ap_group_id) == -1) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: process manager exiting, initgroups(%s,%u) failed",
+            "Process manager exiting, initgroups(%s,%u) failed",
             name, (unsigned)ap_group_id);
         exit(1);
     }
@@ -834,14 +834,14 @@
     if (fcgi_wrapper) {
         if (seteuid_user() == -1) {
             ap_log_error(FCGI_LOG_ALERT_NOERRNO, fcgi_apache_main_server,
-                "FastCGI: process manager exiting, failed to reduce privileges");
+                "Process manager exiting, failed to reduce privileges");
             exit(1);
         }
     }
     else {
         if (setuid(ap_user_id) == -1) {
             ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-                "FastCGI: process manager exiting, setuid(%u) failed", (unsigned)ap_user_id);
+                "Process manager exiting, setuid(%u) failed", (unsigned)ap_user_id);
             exit(1);
         }
     }
@@ -873,7 +873,7 @@
     s->procs[proc].state = FCGI_START_STATE;
     if (proc == dynamicMaxClassProcs - 1) {
         ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-            "FastCGI: scheduled the %sstart of the last (dynamic) server "
+            "Scheduled the %sstart of the last (dynamic) server "
             "\"%s\" process: reached dynamicMaxClassProcs (%d)",
             s->procs[proc].pid ? "re" : "", s->fs_path, dynamicMaxClassProcs);
     }
@@ -948,10 +948,10 @@
     if (rc <= 0) {
         if (!caughtSigTerm) {
             ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server, 
-                "FastCGI: read() from pipe failed (%d)", rc);
+                "read() from pipe failed (%d)", rc);
             if (rc == 0) {
                 ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server, 
-                    "FastCGI: the PM is shutting down, Apache seems to have disappeared - bye");
+                    "The PM is shutting down, Apache seems to have disappeared - bye");
                 caughtSigTerm = TRUE;
             }
         }
@@ -972,7 +972,7 @@
     if (rc != WAIT_OBJECT_0 && rc != WAIT_ABANDONED) 
     {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: failed to aquire the dynamic mbox mutex - something is broke?!");
+            "Failed to aquire the dynamic mbox mutex - something is broke?!");
         return;
     }
 
@@ -982,7 +982,7 @@
     if (! ReleaseMutex(fcgi_dynamic_mbox_mutex)) 
     {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: failed to release the dynamic mbox mutex - something is broke?!");
+            "Failed to release the dynamic mbox mutex - something is broke?!");
     }
 
     cjob = joblist;
@@ -1048,7 +1048,7 @@
 
         if (scan_failed) {
             ap_log_error(FCGI_LOG_ERR_NOERRNO, fcgi_apache_main_server,
-                "FastCGI: bogus message, sscanf() failed: \"%s\"", ptr1);
+                "Bogus message, sscanf() failed: \"%s\"", ptr1);
             goto NextJob;
         }
 #else
@@ -1077,7 +1077,7 @@
             if (mutex == NULL)
             {
                 ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-                    "FastCGI: can't create accept mutex "
+                    "Can't create accept mutex "
                     "for (dynamic) server \"%s\"", cjob->fs_path);
                 goto BagNewServer;
             }
@@ -1134,7 +1134,7 @@
                                           &s->socket_addr_len, s->socket_path);
             if (err) {
                 ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                    "FastCGI: can't create (dynamic) server \"%s\": %s", execName, err);
+                    "Can't create (dynamic) server \"%s\": %s", execName, err);
                 goto BagNewServer;
             }
 
@@ -1150,7 +1150,7 @@
 
                     if (!pw) {
                         ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                            "FastCGI: can't create (dynamic) server \"%s\": can't get uid/gid for wrapper: getpwnam(%s) failed",
+                            "Can't create (dynamic) server \"%s\": can't get uid/gid for wrapper: getpwnam(%s) failed",
                             execName, &user[1]);
                         goto BagNewServer;
                     }
@@ -1168,7 +1168,7 @@
                     pw = getpwuid(s->uid);
                     if (!pw) {
                         ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                            "FastCGI: can't create (dynamic) server \"%s\": can't get uid/gid for wrapper: getwpuid(%ld) failed",
+                            "Can't create (dynamic) server \"%s\": can't get uid/gid for wrapper: getwpuid(%ld) failed",
                             execName, (long)s->uid);
                         goto BagNewServer;
                     }
@@ -1230,7 +1230,7 @@
                     if (do_restart)
                     {
                         ap_log_error(FCGI_LOG_WARN_NOERRNO, 
-                            fcgi_apache_main_server, "FastCGI: restarting "
+                            fcgi_apache_main_server, "Restarting "
                             "old server \"%s\" processes, newer version "
                             "found", app_path);
                     }
@@ -1319,7 +1319,7 @@
                      * to increase ProcessSlack parameter
                      */
                     ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                        "FastCGI: can't schedule the start of another (dynamic) server \"%s\" process: "
+                        "Can't schedule the start of another (dynamic) server \"%s\" process: "
                         "exceeded dynamicMaxProcs (%d)", s->fs_path, dynamicMaxProcs);
                     goto NextJob;
                 }
@@ -1387,7 +1387,7 @@
 #ifndef WIN32
     if (ptr1 == buf) {
         ap_log_error(FCGI_LOG_ERR_NOERRNO, fcgi_apache_main_server,
-            "FastCGI: really bogus message: \"%s\"", ptr1);
+            "Really bogus message: \"%s\"", ptr1);
         ptr1 += strlen(buf);
     }
             
@@ -1507,7 +1507,7 @@
             if (youngest != -1)
             {
                 ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                    "FastCGI: (dynamic) server \"%s\" (pid %ld) termination signaled",
+                    "(dynamic) server \"%s\" (pid %ld) termination signaled",
                     s->fs_path, (long) s->procs[youngest].pid);
 
                 fcgi_kill(&s->procs[youngest], SIGTERM);
@@ -1605,8 +1605,8 @@
                         }
 
                         ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                            "FastCGI:%s server \"%s\" (pid %d) terminated with exit with status '%d'",
-                            (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                            "%sserver \"%s\" (pid %d) terminated with exit with status '%d'",
+                            (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                             s->fs_path, (long) s->procs[i].pid, exitStatus);
 
                         CloseHandle(s->procs[i].handle);
@@ -1699,7 +1699,7 @@
 
     if (fcgi_wrapper) {
         ap_log_error(FCGI_LOG_NOTICE_NOERRNO, fcgi_apache_main_server,
-            "FastCGI: wrapper mechanism enabled (wrapper: %s)", fcgi_wrapper);
+            "Wrapper mechanism enabled (wrapper: %s)", fcgi_wrapper);
     }
 #endif
 
@@ -1724,14 +1724,14 @@
     if (child_wait_thread == (HANDLE) -1)
     {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: failed to create process manager's wait thread!");
+            "Failed to create process manager's wait thread!");
     }
 
     ap_log_error(FCGI_LOG_NOTICE_NOERRNO, fcgi_apache_main_server,
-        "FastCGI: process manager initialized");
+        "Process manager initialized");
 #else
     ap_log_error(FCGI_LOG_NOTICE_NOERRNO, fcgi_apache_main_server,
-        "FastCGI: process manager initialized (pid %ld)", (long) getpid());
+        "Process manager initialized (pid %ld)", (long) getpid());
 #endif
 
     now = time(NULL);
@@ -1804,10 +1804,10 @@
                             s->bad = 0;
                             s->numFailures = 0;
                             ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                                "FastCGI:%s server \"%s\" has remained"
+                                "%sserver \"%s\" has remained"
                                 " running for more than %d seconds, its restart"
                                 " interval has been restored to %d seconds",
-                                (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                                (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                                 s->fs_path, minServerLife, s->restartDelay);
                         }
                         else
@@ -1826,10 +1826,10 @@
                             {
                                 s->bad = 1;
                                 ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                                    "FastCGI:%s server \"%s\" has failed to remain"
+                                    "%sserver \"%s\" has failed to remain"
                                     " running for %d seconds given %d attempts, its restart"
                                     " interval has been backed off to %d seconds",
-                                    (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                                    (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                                     s->fs_path, minServerLife, MAX_FAILED_STARTS,
                                     FAILED_STARTS_DELAY);
                             }
@@ -1838,10 +1838,10 @@
                                 s->bad = 0;
                                 s->numFailures = 0;
                                 ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                                    "FastCGI:%s server \"%s\" has remained"
+                                    "%sserver \"%s\" has remained"
                                     " running for more than %d seconds, its restart"
                                     " interval has been restored to %d seconds",
-                                    (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                                    (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                                     s->fs_path, minServerLife, s->restartDelay);
                             }
                         }
@@ -1878,7 +1878,7 @@
                         s->procs[i].pid = spawn_fs_process(s, &s->procs[i]);
                         if (s->procs[i].pid <= 0) {
                             ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                                "FastCGI: can't start%s server \"%s\": spawn_fs_process() failed",
+                                "Can't start%s server \"%s\": spawn_fs_process() failed",
                                 (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
                                 s->fs_path);
 
@@ -1906,15 +1906,15 @@
 
                         if (fcgi_wrapper) {
                             ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                                "FastCGI:%s server \"%s\" (uid %ld, gid %ld) %sstarted (pid %ld)",
-                                (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                                "%sserver \"%s\" (uid %ld, gid %ld) %sstarted (pid %ld)",
+                                (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                                 s->fs_path, (long) s->uid, (long) s->gid,
                                 restart ? "re" : "", (long) s->procs[i].pid);
                         }
                         else {
                             ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                                "FastCGI:%s server \"%s\" %sstarted (pid %ld)",
-                                (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                                "%sserver \"%s\" %sstarted (pid %ld)",
+                                (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                                 s->fs_path, restart ? "re" : "", (long) s->procs[i].pid);
                         }
                         ap_assert(s->procs[i].pid > 0);
@@ -2032,14 +2032,14 @@
 
             if (WIFEXITED(waitStatus)) {
                 ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                    "FastCGI:%s server \"%s\" (pid %ld) terminated by calling exit with status '%d'",
-                    (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                    "%sserver \"%s\" (pid %ld) terminated by calling exit with status '%d'",
+                    (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                     s->fs_path, (long) childPid, WEXITSTATUS(waitStatus));
             }
             else if (WIFSIGNALED(waitStatus)) {
                 ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                    "FastCGI:%s server \"%s\" (pid %ld) terminated due to uncaught signal '%d' (%s)%s",
-                    (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                    "%sserver \"%s\" (pid %ld) terminated due to uncaught signal '%d' (%s)%s",
+                    (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                     s->fs_path, (long) childPid, WTERMSIG(waitStatus), get_signal_text(waitStatus),
 #ifdef WCOREDUMP
                     WCOREDUMP(waitStatus) ? ", a core file may have been generated" : "");
@@ -2049,8 +2049,8 @@
             }
             else if (WIFSTOPPED(waitStatus)) {
                 ap_log_error(FCGI_LOG_WARN_NOERRNO, fcgi_apache_main_server,
-                    "FastCGI:%s server \"%s\" (pid %ld) stopped due to uncaught signal '%d' (%s)",
-                    (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "",
+                    "%sserver \"%s\" (pid %ld) stopped due to uncaught signal '%d' (%s)",
+                    (s->directive == APP_CLASS_DYNAMIC) ? "(dynamic) " : "",
                     s->fs_path, (long) childPid, WTERMSIG(waitStatus), get_signal_text(waitStatus));
             }
 
@@ -2067,7 +2067,7 @@
                   /* Remove the socket file */
                   if (unlink(s->socket_path) != 0 /*should never occur: && errno != ENOENT*/) {
                       ap_log_error(FCGI_LOG_ERR, fcgi_apache_main_server,
-                          "FastCGI: unlink() failed to remove socket file \"%s\" for%s server \"%s\"",
+                          "unlink() failed to remove socket file \"%s\" for%s server \"%s\"",
                           s->socket_path,
                           (s->directive == APP_CLASS_DYNAMIC) ? " (dynamic)" : "", s->fs_path);
                   }
@@ -2087,7 +2087,7 @@
         if (dwRet == WAIT_FAILED) {
             /* There is something seriously wrong here */
             ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                "FastCGI: WaitForMultipleObjects() failed on event handles -- pm is shuting down");
+                "WaitForMultipleObjects() failed on event handles -- pm is shuting down");
                 bTimeToDie = TRUE;
         }
 
@@ -2126,7 +2126,7 @@
         }
         else if (dwRet == TERM_EVENT) {
             ap_log_error(FCGI_LOG_INFO_NOERRNO, fcgi_apache_main_server, 
-                "FastCGI: Termination event received process manager shutting down");
+                "Termination event received process manager shutting down");
             
             bTimeToDie = TRUE;
             dwRet = WaitForSingleObject(child_wait_thread, INFINITE);
@@ -2136,7 +2136,7 @@
         else {
             /* Have an received an unknown event - should not happen */
             ap_log_error(FCGI_LOG_CRIT, fcgi_apache_main_server,
-                "FastCGI: WaitForMultipleobjects() return an unrecognized event");
+                "WaitForMultipleobjects() return an unrecognized event");
             
             bTimeToDie = TRUE;
             dwRet = WaitForSingleObject(child_wait_thread, INFINITE);
@@ -2169,7 +2169,7 @@
     if (rv != WAIT_OBJECT_0 && rv != WAIT_ABANDONED) 
     {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: failed to aquire the dynamic mbox mutex - something is broke?!");
+            "Failed to aquire the dynamic mbox mutex - something is broke?!");
         return -1;
     }
 
@@ -2179,7 +2179,7 @@
     if (! ReleaseMutex(fcgi_dynamic_mbox_mutex)) 
     {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server,
-            "FastCGI: failed to release the dynamic mbox mutex - something is broke?!");
+            "Failed to release the dynamic mbox mutex - something is broke?!");
     }
 
     return 0;
diff -Naur mod_fastcgi-2.4.6.orig/fcgi_protocol.c mod_fastcgi-2.4.6/fcgi_protocol.c
--- mod_fastcgi-2.4.6.orig/fcgi_protocol.c	2013-12-17 18:23:40.629263361 +0100
+++ mod_fastcgi-2.4.6/fcgi_protocol.c	2013-12-17 18:27:28.576465242 +0100
@@ -352,13 +352,13 @@
              */
             if (header.version != FCGI_VERSION) {
                 ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r,
-                    "FastCGI: comm with server \"%s\" aborted: protocol error: invalid version: %d != FCGI_VERSION(%d)",
+                    "Comm with server \"%s\" aborted: protocol error: invalid version: %d != FCGI_VERSION(%d)",
                     fr->fs_path, header.version, FCGI_VERSION);
                 return HTTP_INTERNAL_SERVER_ERROR;
             }
             if (header.type > FCGI_MAXTYPE) {
                 ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r,
-                    "FastCGI: comm with server \"%s\" aborted: protocol error: invalid type: %d > FCGI_MAXTYPE(%d)",
+                    "Comm with server \"%s\" aborted: protocol error: invalid type: %d > FCGI_MAXTYPE(%d)",
                     fr->fs_path, header.type, FCGI_MAXTYPE);
                 return HTTP_INTERNAL_SERVER_ERROR;
             }
@@ -425,7 +425,7 @@
                     {
                         int discard = ++null - start;
                         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r,
-                            "FastCGI: server \"%s\" sent a null character in the stderr stream!?, "
+                            "Server \"%s\" sent a null character in the stderr stream!?, "
                             "discarding %d characters of stderr", fr->fs_path, discard);
                         start = null;
                         fr->fs_stderr_len -= discard;
@@ -438,7 +438,7 @@
                         {
                             *end = '\0';
                             ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r, 
-                                "FastCGI: server \"%s\" stderr: %s", fr->fs_path, start);
+                                "Server \"%s\" stderr: %s", fr->fs_path, start);
                         }
                         end++;
                         end += strspn(end, "\r\n");
@@ -457,9 +457,9 @@
                         {
                             /* Full buffer, dump it and complain */
                             ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r, 
-                               "FastCGI: server \"%s\" stderr: %s", fr->fs_path, fr->fs_stderr);
+                               "Server \"%s\" stderr: %s", fr->fs_path, fr->fs_stderr);
                             ap_log_rerror(FCGI_LOG_WARN_NOERRNO, fr->r,
-                                "FastCGI: too much stderr received from server \"%s\", "
+                                "Too much stderr received from server \"%s\", "
                                 "increase FCGI_SERVER_MAX_STDERR_LINE_LEN (%d) and rebuild "
                                 "or use \"\\n\" to terminate lines",
                                 fr->fs_path, FCGI_SERVER_MAX_STDERR_LINE_LEN);
@@ -473,7 +473,7 @@
                 if (!fr->readingEndRequestBody) {
                     if (fr->dataLen != sizeof(FCGI_EndRequestBody)) {
                         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r,
-                            "FastCGI: comm with server \"%s\" aborted: protocol error: "
+                            "Comm with server \"%s\" aborted: protocol error: "
                             "invalid FCGI_END_REQUEST size: "
                             "%d != sizeof(FCGI_EndRequestBody)(%lu)",
                             fr->fs_path, fr->dataLen, (unsigned long)sizeof(FCGI_EndRequestBody));
@@ -495,7 +495,7 @@
                          * XXX: What to do with FCGI_OVERLOADED?
                          */
                         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r,
-                            "FastCGI: comm with server \"%s\" aborted: protocol error: invalid FCGI_END_REQUEST status: "
+                            "Comm with server \"%s\" aborted: protocol error: invalid FCGI_END_REQUEST status: "
                             "%d != FCGI_REQUEST_COMPLETE(%d)", fr->fs_path,
                             erBody->protocolStatus, FCGI_REQUEST_COMPLETE);
                         return HTTP_INTERNAL_SERVER_ERROR;
diff -Naur mod_fastcgi-2.4.6.orig/mod_fastcgi.c mod_fastcgi-2.4.6/mod_fastcgi.c
--- mod_fastcgi-2.4.6.orig/mod_fastcgi.c	2013-12-17 18:19:37.115412255 +0100
+++ mod_fastcgi-2.4.6/mod_fastcgi.c	2013-12-17 18:00:00.593708144 +0100
@@ -177,7 +177,7 @@
 
     if (strlen(fs_path) > FCGI_MAXPATH) {
         ap_log_error(FCGI_LOG_ERR_NOERRNO, fcgi_apache_main_server, 
-            "FastCGI: the path \"%s\" is too long (>%d) for a dynamic server", fs_path, FCGI_MAXPATH);
+            "The path \"%s\" is too long (>%d) for a dynamic server", fs_path, FCGI_MAXPATH);
         return;
     }
 
@@ -238,7 +238,7 @@
         && failed_count++ > 10) 
     {
         ap_log_error(FCGI_LOG_WARN, fcgi_apache_main_server,
-            "FastCGI: write() to PM failed (ignore if a restart or shutdown is pending)");
+            "write() to PM failed (ignore if a restart or shutdown is pending)");
     }
 #endif
 }
@@ -298,11 +298,11 @@
 
     /* Create Unix/Domain socket directory */
     if ((err = fcgi_config_make_dir(p, fcgi_socket_dir)))
-        ap_log_error(FCGI_LOG_ERR, s, "FastCGI: %s", err);
+        ap_log_error(FCGI_LOG_ERR, s, "%s", err);
 
     /* Create Dynamic directory */
     if ((err = fcgi_config_make_dynamic_dir(p, 1)))
-        ap_log_error(FCGI_LOG_ERR, s, "FastCGI: %s", err);
+        ap_log_error(FCGI_LOG_ERR, s, "%s", err);
 
     /* Spawn the PM only once.  Under Unix, Apache calls init() routines
      * twice, once before detach() and once after.  Win32 doesn't detach.
@@ -330,7 +330,7 @@
 
     /* Create the pipe for comm with the PM */
     if (pipe(fcgi_pm_pipe) < 0) {
-        ap_log_error(FCGI_LOG_ERR, s, "FastCGI: pipe() failed");
+        ap_log_error(FCGI_LOG_ERR, s, "pipe() failed");
     }
 
     /* Start the Process Manager */
@@ -362,7 +362,7 @@
     fcgi_pm_pid = ap_spawn_child(p, fcgi_pm_main, NULL, kill_only_once, NULL, NULL, NULL);
     if (fcgi_pm_pid <= 0) {
         ap_log_error(FCGI_LOG_ALERT, s,
-            "FastCGI: can't start the process manager, spawn_child() failed");
+            "Can't start the process manager, spawn_child() failed");
     }
 
 #endif /* !APACHE2 */
@@ -402,24 +402,24 @@
     fcgi_event_handles[0] = CreateEvent(NULL, FALSE, FALSE, NULL);
     if (fcgi_event_handles[0] == NULL) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server, 
-            "FastCGI: CreateEvent() failed");
+            "CreateEvent() failed");
     }
     fcgi_event_handles[1] = CreateEvent(NULL, FALSE, FALSE, NULL);
     if (fcgi_event_handles[1] == NULL) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server, 
-            "FastCGI: CreateEvent() failed");
+            "CreateEvent() failed");
     }
     fcgi_event_handles[2] = CreateEvent(NULL, FALSE, FALSE, NULL);
     if (fcgi_event_handles[2] == NULL) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server, 
-            "FastCGI: CreateEvent() failed");
+            "CreateEvent() failed");
     }
 
     /* Create the mbox mutex (PM - request threads) */
     fcgi_dynamic_mbox_mutex = CreateMutex(NULL, FALSE, NULL);
     if (fcgi_dynamic_mbox_mutex == NULL) {
         ap_log_error(FCGI_LOG_ALERT, fcgi_apache_main_server, 
-            "FastCGI: CreateMutex() failed");
+            "CreateMutex() failed");
     }
 
     /* Spawn of the process manager thread */
@@ -510,7 +510,7 @@
             if (SetNamedPipeHandleState((HANDLE) fr->fd, &mode, NULL, NULL) == 0)
             {
 		        ap_log_rerror(FCGI_LOG_ERR, fr->r,
-                    "FastCGI: SetNamedPipeHandleState() failed");
+                    "SetNamedPipeHandleState() failed");
                 return -1;
             }
         }
@@ -522,7 +522,7 @@
         {
             errno = WSAGetLastError();
             ap_log_rerror(FCGI_LOG_ERR_ERRNO, fr->r, 
-                "FastCGI: ioctlsocket() failed");
+                "ioctlsocket() failed");
             return -1;
         }
     }
@@ -607,7 +607,7 @@
             if (fcgi_util_ticks(&fr->completeTime) < 0) 
             {
                 /* there's no point to aborting the request, just log it */
-                ap_log_error(FCGI_LOG_ERR, fr->r->server, "FastCGI: can't get time of day");
+                ap_log_error(FCGI_LOG_ERR, fr->r->server, "Can't get time of day");
             }
         }
     }
@@ -938,7 +938,7 @@
 
     if (rv || fr->r->connection->aborted) {
         ap_log_rerror(FCGI_LOG_INFO_NOERRNO, fr->r,
-            "FastCGI: client stopped connection before send body completed");
+            "Client stopped connection before send body completed");
         return -1;
     }
 
@@ -966,7 +966,7 @@
         if (rv)
         {
             ap_log_rerror(FCGI_LOG_INFO_NOERRNO, fr->r,
-                "FastCGI: client stopped connection before send body completed");
+                "Client stopped connection before send body completed");
             return -1;
         }
 
@@ -1083,7 +1083,7 @@
                                       &socket_addr_len, socket_path);
         if (err) {
             ap_log_rerror(FCGI_LOG_ERR, r,
-                "FastCGI: failed to connect to (dynamic) server \"%s\": "
+                "Failed to connect to (dynamic) server \"%s\": "
                 "%s", fr->fs_path, err);
             return FCGI_FAILED;
         }
@@ -1191,7 +1191,7 @@
             if (i <= 0)
             {
                 ap_log_rerror(FCGI_LOG_ALERT, r,
-                    "FastCGI: failed to connect to (dynamic) server \"%s\": "
+                    "Failed to connect to (dynamic) server \"%s\": "
                     "something is seriously wrong, any chance the "
                     "socket/named_pipe directory was removed?, see the "
                     "FastCgiIpcDir directive", fr->fs_path);
@@ -1243,7 +1243,7 @@
         if (wait_npipe_mutex == NULL)
         {
             ap_log_rerror(FCGI_LOG_ERR, r,
-                "FastCGI: failed to connect to server \"%s\": "
+                "Failed to connect to server \"%s\": "
                 "can't create the WaitNamedPipe mutex", fr->fs_path);
             return FCGI_FAILED;
         }
@@ -1259,7 +1259,7 @@
                 send_to_pm(FCGI_REQUEST_TIMEOUT_JOB, fr->fs_path, fr->user, fr->group, 0, 0);
             }
             ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-                "FastCGI: failed to connect to server \"%s\": "
+                "Failed to connect to server \"%s\": "
                 "wait for a npipe instance failed", fr->fs_path);
             FCGIDBG3("interval=%d, max_connect_time=%d", interval, max_connect_time);
             CloseHandle(wait_npipe_mutex);
@@ -1314,7 +1314,7 @@
                     && GetLastError() != ERROR_FILE_NOT_FOUND) 
                 {
                     ap_log_rerror(FCGI_LOG_ERR, r,
-                        "FastCGI: failed to connect to server \"%s\": "
+                        "Failed to connect to server \"%s\": "
                         "CreateFile() failed", fr->fs_path);
                     break; 
                 }
@@ -1336,7 +1336,7 @@
             if (connect_time >= max_connect_time)
             {
                 ap_log_rerror(FCGI_LOG_ERR, r,
-                    "FastCGI: failed to connect to server \"%s\": "
+                    "Failed to connect to server \"%s\": "
                     "CreateFile()/WaitNamedPipe() timed out", fr->fs_path);
                 break;
             }
@@ -1360,7 +1360,7 @@
     if (fr->fd < 0) {
 #endif
         ap_log_rerror(FCGI_LOG_ERR_ERRNO, r,
-            "FastCGI: failed to connect to server \"%s\": "
+            "Failed to connect to server \"%s\": "
             "socket() failed", fr->fs_path);
         return FCGI_FAILED; 
     }
@@ -1368,7 +1368,7 @@
 #ifndef WIN32
     if (fr->fd >= FD_SETSIZE) {
         ap_log_rerror(FCGI_LOG_ERR, r,
-            "FastCGI: failed to connect to server \"%s\": "
+            "Failed to connect to server \"%s\": "
             "socket file descriptor (%u) is larger than "
             "FD_SETSIZE (%u), you probably need to rebuild Apache with a "
             "larger FD_SETSIZE", fr->fs_path, fr->fd, FD_SETSIZE);
@@ -1397,7 +1397,7 @@
     errno = WSAGetLastError();
     if (errno != WSAEWOULDBLOCK) {
         ap_log_rerror(FCGI_LOG_ERR_ERRNO, r,
-            "FastCGI: failed to connect to server \"%s\": "
+            "Failed to connect to server \"%s\": "
             "connect() failed", fr->fs_path);
         return FCGI_FAILED;
     }
@@ -1415,7 +1415,7 @@
 
     if (errno != EINPROGRESS) {
         ap_log_rerror(FCGI_LOG_ERR, r,
-            "FastCGI: failed to connect to server \"%s\": "
+            "Failed to connect to server \"%s\": "
             "connect() failed", fr->fs_path);
         return FCGI_FAILED;
     }
@@ -1453,7 +1453,7 @@
         /* XXX These can be moved down when dynamic vars live is a struct */
         if (status == 0) {
             ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-                "FastCGI: failed to connect to server \"%s\": "
+                "Failed to connect to server \"%s\": "
                 "connect() timed out (appConnTimeout=%dsec)", 
                 fr->fs_path, dynamicAppConnectTimeout);
             return FCGI_FAILED;
@@ -1472,7 +1472,7 @@
 
         if (status == 0) {
             ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-                "FastCGI: failed to connect to server \"%s\": "
+                "Failed to connect to server \"%s\": "
                 "connect() timed out (appConnTimeout=%dsec)", 
                 fr->fs_path, dynamicAppConnectTimeout);
             return FCGI_FAILED;
@@ -1484,7 +1484,7 @@
         errno = WSAGetLastError(); 
 #endif
         ap_log_rerror(FCGI_LOG_ERR_ERRNO, r,
-            "FastCGI: failed to connect to server \"%s\": "
+            "Failed to connect to server \"%s\": "
             "select() failed", fr->fs_path);
         return FCGI_FAILED;
     }
@@ -1499,7 +1499,7 @@
             errno = WSAGetLastError(); 
 #endif
             ap_log_rerror(FCGI_LOG_ERR_ERRNO, r,
-                "FastCGI: failed to connect to server \"%s\": "
+                "Failed to connect to server \"%s\": "
                 "select() failed (Solaris pending error)", fr->fs_path);
             return FCGI_FAILED;
         }
@@ -1508,7 +1508,7 @@
             /* Berkeley-derived pending error */
             errno = error;
             ap_log_rerror(FCGI_LOG_ERR_ERRNO, r,
-                "FastCGI: failed to connect to server \"%s\": "
+                "Failed to connect to server \"%s\": "
                 "select() failed (pending error)", fr->fs_path);
             return FCGI_FAILED;
         }
@@ -1518,7 +1518,7 @@
         errno = WSAGetLastError();
 #endif
         ap_log_rerror(FCGI_LOG_ERR_ERRNO, r,
-            "FastCGI: failed to connect to server \"%s\": "
+            "Failed to connect to server \"%s\": "
             "select() error - THIS CAN'T HAPPEN!", fr->fs_path);
         return FCGI_FAILED;
     }
@@ -1564,7 +1564,7 @@
 
     if (fr->fs_stderr_len) {
         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, fr->r,
-            "FastCGI: server \"%s\" stderr: %s", fr->fs_path, fr->fs_stderr);
+            "Server \"%s\" stderr: %s", fr->fs_path, fr->fs_stderr);
     }
 
     return APCB_OK;
@@ -1698,7 +1698,7 @@
                 }
                 else
                 {
-                    ap_log_rerror(FCGI_LOG_ERR, r, "FastCGI: comm with server "
+                    ap_log_rerror(FCGI_LOG_ERR, r, "Comm with server "
                         "\"%s\" aborted: WriteFile() failed", fr->fs_path);
                     state = STATE_ERROR;
                     break;
@@ -1749,7 +1749,7 @@
                 }
                 else
                 {
-                    ap_log_rerror(FCGI_LOG_ERR, r, "FastCGI: comm with server "
+                    ap_log_rerror(FCGI_LOG_ERR, r, "Comm with server "
                         "\"%s\" aborted: ReadFile() failed", fr->fs_path);
                     state = STATE_ERROR;
                     break;
@@ -1819,7 +1819,7 @@
                 if (idle_time.tv_sec > idle_timeout) 
                 {
                     send_to_pm(FCGI_REQUEST_TIMEOUT_JOB, fr->fs_path, fr->user, fr->group, 0, 0);
-                    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "FastCGI: comm "
+                    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "Comm "
                         "with (dynamic) server \"%s\" aborted: (first read) "
                         "idle timeout (%d sec)", fr->fs_path, idle_timeout);
                     state = STATE_ERROR;
@@ -1881,7 +1881,7 @@
                 }
                 else
                 {
-                    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "FastCGI: comm with "
+                    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "Comm with "
                         "server \"%s\" aborted: idle timeout (%d sec)",
                         fr->fs_path, idle_timeout);
                     state = STATE_ERROR;
@@ -1907,7 +1907,7 @@
                         }
                         else
                         {
-                            ap_log_rerror(FCGI_LOG_ERR, r, "FastCGI: comm with server "
+                            ap_log_rerror(FCGI_LOG_ERR, r, "Comm with server "
                                 "\"%s\" aborted: GetOverlappedResult() failed", fr->fs_path);
                             state = STATE_ERROR;
                             break;
@@ -1935,7 +1935,7 @@
                     }
                     else
                     {
-                        ap_log_rerror(FCGI_LOG_ERR, r, "FastCGI: comm with server "
+                        ap_log_rerror(FCGI_LOG_ERR, r, "Comm with server "
                             "\"%s\" aborted: GetOverlappedResult() failed", fr->fs_path);
                         state = STATE_ERROR;
                         break;
@@ -1956,7 +1956,7 @@
             if (err)
             {
                 ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-                    "FastCGI: comm with server \"%s\" aborted: "
+                    "Comm with server \"%s\" aborted: "
                     "error parsing headers: %s", fr->fs_path, err);
                 state = STATE_ERROR;
                 break;
@@ -2175,7 +2175,7 @@
                 if (idle_time.tv_sec > idle_timeout) 
                 {
                     send_to_pm(FCGI_REQUEST_TIMEOUT_JOB, fr->fs_path, fr->user, fr->group, 0, 0);
-                    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "FastCGI: comm "
+                    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "Comm "
                         "with (dynamic) server \"%s\" aborted: (first read) "
                         "idle timeout (%d sec)", fr->fs_path, idle_timeout);
                     state = STATE_ERROR;
@@ -2218,7 +2218,7 @@
 
         if (select_status < 0)
         {
-            ap_log_rerror(FCGI_LOG_ERR_ERRNO, r, "FastCGI: comm with server "
+            ap_log_rerror(FCGI_LOG_ERR_ERRNO, r, "Comm with server "
                 "\"%s\" aborted: select() failed", fr->fs_path);
             state = STATE_ERROR;
             break;
@@ -2249,7 +2249,7 @@
             }
             else 
             {
-                ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "FastCGI: comm with "
+                ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "Comm with "
                     "server \"%s\" aborted: idle timeout (%d sec)",
                     fr->fs_path, idle_timeout);
                 state = STATE_ERROR;
@@ -2264,7 +2264,7 @@
 
             if (rv < 0)
             {
-                ap_log_rerror(FCGI_LOG_ERR, r, "FastCGI: comm with server "
+                ap_log_rerror(FCGI_LOG_ERR, r, "Comm with server "
                     "\"%s\" aborted: write failed", fr->fs_path);
                 state = STATE_ERROR;
                 break;
@@ -2292,7 +2292,7 @@
                     tv.tv_sec = 1;
                     tv.tv_usec = 0;
 
-            		ap_log_rerror(FCGI_LOG_INFO, r, "FastCGI: comm with server "
+            		ap_log_rerror(FCGI_LOG_INFO, r, "Comm with server "
             				"\"%s\" interrupted: read will be retried in 1 second", 
             				fr->fs_path);
             		
@@ -2301,7 +2301,7 @@
             	}
             	else 
             	{
-            		ap_log_rerror(FCGI_LOG_ERR, r, "FastCGI: comm with server "
+            		ap_log_rerror(FCGI_LOG_ERR, r, "Comm with server "
             				"\"%s\" aborted: read failed", fr->fs_path);
             		state = STATE_ERROR;
             		break;
@@ -2327,7 +2327,7 @@
             if (err)
             {
                 ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-                    "FastCGI: comm with server \"%s\" aborted: "
+                    "Comm with server \"%s\" aborted: "
                     "error parsing headers: %s", fr->fs_path, err);
                 state = STATE_ERROR;
                 break;
@@ -2405,7 +2405,7 @@
             if (err)
             {
                 ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-                    "FastCGI: comm with server \"%s\" aborted: "
+                    "Comm with server \"%s\" aborted: "
                     "error parsing headers: %s", fr->fs_path, err);
                 rv = HTTP_INTERNAL_SERVER_ERROR;
             }
@@ -2446,7 +2446,7 @@
 
     case SCAN_CGI_READING_HEADERS:
 
-        ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "FastCGI: incomplete headers "
+        ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "Incomplete headers "
             "(%d bytes) received from server \"%s\"", fr->header->nelts, fr->fs_path);
         
         /* fall through */
@@ -2507,7 +2507,7 @@
             if (stat(fs_path, my_finfo) < 0) 
             {
                 ap_log_rerror(FCGI_LOG_ERR_ERRNO, r, 
-                    "FastCGI: stat() of \"%s\" failed", fs_path);
+                    "Stat() of \"%s\" failed", fs_path);
                 return HTTP_NOT_FOUND;
             }
         }
@@ -2516,7 +2516,7 @@
         if (err) 
         {
             ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, 
-                "FastCGI: invalid (dynamic) server \"%s\": %s", fs_path, err);
+                "Invalid (dynamic) server \"%s\": %s", fs_path, err);
             return HTTP_FORBIDDEN;
         }
     }
@@ -2570,7 +2570,7 @@
 		r->output_filters = r->proto_output_filters = cur;
 #else
 	    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, 
-	        "FastCGI: invalid request \"%s\": non parsed header support is "
+	        "Invalid request \"%s\": non parsed header support is "
 	    		"not available in Apache13 (patch welcome)", fs_path);
 	    return HTTP_FORBIDDEN;
 #endif    
@@ -2678,7 +2678,7 @@
         && ! apache_is_scriptaliased(r)) 
     {
         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-            "FastCGI: \"ExecCGI Option\" is off in this directory: %s", r->uri);
+            "\"ExecCGI Option\" is off in this directory: %s", r->uri);
         return HTTP_FORBIDDEN;
     }
 
@@ -2785,7 +2785,7 @@
     /* A redirect shouldn't be allowed during the authentication phase */
     if (ap_table_get(r->headers_out, "Location") != NULL) {
         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-            "FastCGI: FastCgiAuthenticator \"%s\" redirected (not allowed)",
+            "FastCgiAuthenticator \"%s\" redirected (not allowed)",
             dir_config->authenticator);
         goto AuthenticationFailed;
     }
@@ -2800,7 +2800,7 @@
     /* @@@ Probably should support custom_responses */
     ap_note_basic_auth_failure(r);
     ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-        "FastCGI: authentication failed for user \"%s\": %s",
+        "Authentication failed for user \"%s\": %s",
 #ifdef APACHE2
         r->user, r->uri);
 #else
@@ -2850,7 +2850,7 @@
     /* A redirect shouldn't be allowed during the authorization phase */
     if (ap_table_get(r->headers_out, "Location") != NULL) {
         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-            "FastCGI: FastCgiAuthorizer \"%s\" redirected (not allowed)",
+            "FastCgiAuthorizer \"%s\" redirected (not allowed)",
             dir_config->authorizer);
         goto AuthorizationFailed;
     }
@@ -2865,7 +2865,7 @@
     /* @@@ Probably should support custom_responses */
     ap_note_basic_auth_failure(r);
     ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-        "FastCGI: authorization failed for user \"%s\": %s", 
+        "Authorization failed for user \"%s\": %s", 
 #ifdef APACHE2
         r->user, r->uri);
 #else
@@ -2911,7 +2911,7 @@
     /* A redirect shouldn't be allowed during the access check phase */
     if (ap_table_get(r->headers_out, "Location") != NULL) {
         ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r,
-            "FastCGI: FastCgiAccessChecker \"%s\" redirected (not allowed)",
+            "FastCgiAccessChecker \"%s\" redirected (not allowed)",
             dir_config->access_checker);
         goto AccessFailed;
     }
@@ -2924,7 +2924,7 @@
         return DECLINED;
 
     /* @@@ Probably should support custom_responses */
-    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "FastCGI: access denied: %s", r->uri);
+    ap_log_rerror(FCGI_LOG_ERR_NOERRNO, r, "Access denied: %s", r->uri);
     return (res == OK) ? HTTP_FORBIDDEN : res;
 }
 
@@ -3013,11 +3013,7 @@
     ap_hook_fixups(fixups, NULL, NULL, APR_HOOK_MIDDLE); 
 }
 
-#ifdef APACHE24
-AP_DECLARE_MODULE(fastcgi) =
-#else
 module AP_MODULE_DECLARE_DATA fastcgi_module =
-#endif
 {
     STANDARD20_MODULE_STUFF,
     fcgi_config_create_dir_config,  /* per-directory config creator */
